"{ Package: 'stx:goodies/libcairo' }"

"{ NameSpace: Cairo }"

SharedPool subclass:#PatternType
	instanceVariableNames:''
	classVariableNames:'PATTERN_TYPE_SOLID PATTERN_TYPE_SURFACE PATTERN_TYPE_LINEAR
		PATTERN_TYPE_RADIAL'
	poolDictionaries:''
	category:'Cairo-Constants'
!


!PatternType class methodsFor:'initialization'!

initialize

	PATTERN_TYPE_SOLID := 0.
	PATTERN_TYPE_SURFACE := 1.
	PATTERN_TYPE_LINEAR := 2.
	PATTERN_TYPE_RADIAL := 3.

    "Modified: / 10-09-2008 / 18:19:53 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!PatternType class methodsFor:'constants'!

PATTERN_TYPE_LINEAR

	^PATTERN_TYPE_LINEAR

    "Modified: / 10-09-2008 / 18:19:53 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

PATTERN_TYPE_RADIAL

	^PATTERN_TYPE_RADIAL

    "Modified: / 10-09-2008 / 18:19:53 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

PATTERN_TYPE_SOLID

	^PATTERN_TYPE_SOLID

    "Modified: / 10-09-2008 / 18:19:53 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

PATTERN_TYPE_SURFACE

	^PATTERN_TYPE_SURFACE

    "Modified: / 10-09-2008 / 18:19:53 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!PatternType class methodsFor:'documentation'!

version
    ^'$Id$'
!

version_HG
    ^ '$Changeset: <not expanded> $'
! !

PatternType initialize!
