"{ Package: 'stx:goodies/libcairo' }"

"{ NameSpace: Cairo }"

SharedPool subclass:#Operator
	instanceVariableNames:''
	classVariableNames:'OPERATOR_CLEAR OPERATOR_SOURCE OPERATOR_OVER OPERATOR_IN
		OPERATOR_OUT OPERATOR_ATOP OPERATOR_DEST OPERATOR_DEST_OVER
		OPERATOR_DEST_IN OPERATOR_DEST_OUT OPERATOR_DEST_ATOP
		OPERATOR_XOR OPERATOR_ADD OPERATOR_SATURATE'
	poolDictionaries:''
	category:'Cairo-Constants'
!


!Operator class methodsFor:'initialization'!

initialize

	OPERATOR_CLEAR := 0.
	OPERATOR_SOURCE := 1.
	OPERATOR_OVER := 2.
	OPERATOR_IN := 3.
	OPERATOR_OUT := 4.
	OPERATOR_ATOP := 5.
	OPERATOR_DEST := 6.
	OPERATOR_DEST_OVER := 7.
	OPERATOR_DEST_IN := 8.
	OPERATOR_DEST_OUT := 9.
	OPERATOR_DEST_ATOP := 10.
	OPERATOR_XOR := 11.
	OPERATOR_ADD := 12.
	OPERATOR_SATURATE := 13.

    "Modified: / 10-09-2008 / 18:19:54 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!Operator class methodsFor:'constants'!

OPERATOR_ADD

	^OPERATOR_ADD

    "Modified: / 10-09-2008 / 18:19:54 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

OPERATOR_ATOP

	^OPERATOR_ATOP

    "Modified: / 10-09-2008 / 18:19:54 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

OPERATOR_CLEAR

	^OPERATOR_CLEAR

    "Modified: / 10-09-2008 / 18:19:54 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

OPERATOR_DEST

	^OPERATOR_DEST

    "Modified: / 10-09-2008 / 18:19:54 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

OPERATOR_DEST_ATOP

	^OPERATOR_DEST_ATOP

    "Modified: / 10-09-2008 / 18:19:54 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

OPERATOR_DEST_IN

	^OPERATOR_DEST_IN

    "Modified: / 10-09-2008 / 18:19:54 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

OPERATOR_DEST_OUT

	^OPERATOR_DEST_OUT

    "Modified: / 10-09-2008 / 18:19:54 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

OPERATOR_DEST_OVER

	^OPERATOR_DEST_OVER

    "Modified: / 10-09-2008 / 18:19:54 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

OPERATOR_IN

	^OPERATOR_IN

    "Modified: / 10-09-2008 / 18:19:54 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

OPERATOR_OUT

	^OPERATOR_OUT

    "Modified: / 10-09-2008 / 18:19:54 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

OPERATOR_OVER

	^OPERATOR_OVER

    "Modified: / 10-09-2008 / 18:19:54 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

OPERATOR_SATURATE

	^OPERATOR_SATURATE

    "Modified: / 10-09-2008 / 18:19:54 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

OPERATOR_SOURCE

	^OPERATOR_SOURCE

    "Modified: / 10-09-2008 / 18:19:54 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

OPERATOR_XOR

	^OPERATOR_XOR

    "Modified: / 10-09-2008 / 18:19:54 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!Operator class methodsFor:'documentation'!

version
    ^'$Id$'
!

version_HG
    ^ '$Changeset: <not expanded> $'
! !

Operator initialize!
